/****************************************************************************/	
//	Function: Cpp file for Sound Recorder with the chip ARP9600
//	Hardware: Grove - Sound Recorder
//	Arduino IDE: Arduino-1.0
//	Author:	 FrankieChu		
//	Date: 	 Jan 20,2013
//	Version: v1.0
//	by www.seeedstudio.com
//
//  This library is free software; you can redistribute it and/or
//  modify it under the terms of the GNU Lesser General Public
//  License as published by the Free Software Foundation; either
//  version 2.1 of the License, or (at your option) any later version.
//
//  This library is distributed in the hope that it will be useful,
//  but WITHOUT ANY WARRANTY; without even the implied warranty of
//  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
//  Lesser General Public License for more details.
//
//  You should have received a copy of the GNU Lesser General Public
//  License along with this library; if not, write to the Free Software
//  Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301 USA
//
/****************************************************************************/

#include "APR9600.h"

void ARP9600::pinsInit()
{
	pinMode(_sel1, OUTPUT);
	pinMode(_sel2, OUTPUT);
	digitalWrite(_sel1, LOW);
	digitalWrite(_sel2, LOW);
}

ARP9600::ARP9600(int sel1,int sel2)
{
	_sel1 = sel1;
	_sel2 = sel2;
}
void ARP9600::begin()
{
	pinsInit();
}
void ARP9600::record(uint8_t index)
{
	uint8_t segment = index - 1;
	boolean sel1_level;
	boolean sel2_level;
	if(segment&0x01)
		sel1_level = HIGH;
	else sel1_level = LOW;
	if(segment&0x02)
		sel2_level = HIGH;
	else sel2_level = LOW;
	digitalWrite(_sel1, sel1_level);
	digitalWrite(_sel2, sel2_level);
}
void ARP9600::play(uint8_t index)
{
	uint8_t segment = index - 1;
	boolean sel1_level;
	boolean sel2_level;
	if(segment&0x01)
		sel1_level = HIGH;
	else sel1_level = LOW;
	if(segment&0x02)
		sel2_level = HIGH;
	else sel2_level = LOW;
	digitalWrite(_sel1, sel1_level);
	digitalWrite(_sel2, sel2_level);
	delay(500);
	stop();
}
void ARP9600::stop()
{
	digitalWrite(_sel1, LOW);
	digitalWrite(_sel2, LOW);
}



