/****************************************************************************/	
//	Function: Header file for Sound Recorder with the chip ARP9600
//	Hardware: Grove - Sound Recorder
//	Arduino IDE: Arduino-1.0
//	Author:	 FrankieChu		
//	Date: 	 Jan 20,2013
//	Version: v1.0
//	by www.seeedstudio.com
//
//  This library is free software; you can redistribute it and/or
//  modify it under the terms of the GNU Lesser General Public
//  License as published by the Free Software Foundation; either
//  version 2.1 of the License, or (at your option) any later version.
//
//  This library is distributed in the hope that it will be useful,
//  but WITHOUT ANY WARRANTY; without even the implied warranty of
//  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
//  Lesser General Public License for more details.
//
//  You should have received a copy of the GNU Lesser General Public
//  License along with this library; if not, write to the Free Software
//  Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301 USA
//
/****************************************************************************/

#ifndef __ARP9600_H__
#define __ARP9600_H__

#include <Arduino.h>
/*Note that when controlled by MCU, the Section_1 in the ARP9600 can not be selected*/
#define SEGMENT_INDEX2 2
#define SEGMENT_INDEX3 3
#define SEGMENT_INDEX4 4

class ARP9600
{
private:
	void pinsInit();
	int _sel1,_sel2;
public:
	ARP9600(int sel1,int sel2);
	void begin();
	void record(uint8_t index);
	void play(uint8_t index);
	void stop();
};

#endif


