/****************************************************************************/	
//	Function: Get the command from the serial monitor but not the onboard buttons
//			  and to record, stop recording, or play.Note that the mcu cannot 
//			  control section one in the ARP9600.
//	Hardware: Grove - Sound Recorder
//	Arduino IDE: Arduino-1.0
//	Author:	 FrankieChu		
//	Date: 	 Jan 20,2013
//	Version: v1.0
//	by www.seeedstudio.com
//
//  This library is free software; you can redistribute it and/or
//  modify it under the terms of the GNU Lesser General Public
//  License as published by the Free Software Foundation; either
//  version 2.1 of the License, or (at your option) any later version.
//
//  This library is distributed in the hope that it will be useful,
//  but WITHOUT ANY WARRANTY; without even the implied warranty of
//  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
//  Lesser General Public License for more details.
//
//  You should have received a copy of the GNU Lesser General Public
//  License along with this library; if not, write to the Free Software
//  Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301 USA
//
/****************************************************************************/

#include "APR9600.h"

/*macro definition of the Grove interface on the Sounder Recorder*/
#define SEL1 2
#define SEL2 3
ARP9600 recorder(SEL1,SEL2);
/*Store the command from the serial monitor you type.*/
char index;//can be '2','3','4',that is the index of section 2,section 3,section 4
char control;//control byte, can be 'r' for record, 's' for stop recording,
			 //'p' for play

void setup()
{
	Serial.begin(9600);
	recorder.begin();
}
void loop()
{
	getCommand();
	delay(50);
}
void getCommand()
{
	if (Serial.available()>0)
	{   
	/*Get the command from the serial monitor*/
		index = Serial.read();
		control = Serial.read();
	}
	while(Serial.available()>0)Serial.read();//clear the receive buffer
	if((index > '1')&&(index < '5'))// index should be 2~4
	{
		if(control == 'r')//if it is record comand?
		{
			recorder.record(index - 0x30);
			Serial.print("get the ");
			Serial.write(index);
			Serial.write(control);
			Serial.print(" command, ");
			Serial.print("begin to record section_");
			Serial.println(index - 0x30);
		}
		else if(control == 'p')//if it is play command
		{
			recorder.play(index - 0x30);
			Serial.print("get the ");
			Serial.write(index);
			Serial.write(control);
			Serial.print(" command, ");
			Serial.print("begin to play section_");
			Serial.println(index - 0x30);
		}
		else if(control == 's')//if it is stop command
		{
			recorder.stop();//stop recording
			Serial.print("get the ");
			Serial.write(index);
			Serial.write(control);
			Serial.print(" command, ");
			Serial.print("stop recording");
		}
		/*Clear the comand*/
		index = 0;
		control = 0;
	}
}

